{
  "name": "infrastructure-console",
  "version": "4.5.5",
  "description": "Infrastructure Console",
  "author": "Castlecraft <support@castlecraft.in>",
  "repository": "https://gitlab.com/castlecraft/building-blocks",
  "license": "AGPLv3",
  "scripts": {
    "lint": "eslint '{tests,src}/**/*.ts'",
    "format": "prettier --write \"./src/**/*.ts\" \"./tests/**/*.ts\"",
    "format:check": "prettier-check \"./src/**/*.ts\" \"./tests/**/*.ts\"",
    "start:debug": "nest start -d 9225 -w -p src/tsconfig.build.json",
    "build": "rm -rf dist && tsc -p src/tsconfig.build.json",
    "start:prod": "export NODE_ENV=production && node dist/out-tsc/main.js",
    "start": "ts-node -r tsconfig-paths/register src/main.ts",
    "test:server": "jest",
    "test:cov": "jest --coverage",
    "test:e2e": "jest --config ./tests/jest-e2e.json"
  },
  "private": true,
  "dependencies": {
    "@godaddy/terminus": "^4.3.1",
    "@nestjs/common": "^6.11.7",
    "@nestjs/core": "^6.11.7",
    "@nestjs/cqrs": "^6.1.0",
    "@nestjs/microservices": "^6.11.7",
    "@nestjs/platform-express": "^6.11.7",
    "@nestjs/swagger": "^4.2.8",
    "@nestjs/terminus": "^6.5.6",
    "@nestjs/typeorm": "^6.3.1",
    "class-transformer": "^0.2.3",
    "class-validator": "^0.11.0",
    "cron": "^1.8.2",
    "dotenv": "^8.2.0",
    "express": "^4.17.1",
    "fastify-formbody": "^3.1.0",
    "geteventstore-promise": "^3.2.0",
    "helmet": "^3.21.2",
    "joi": "^14.3.1",
    "mongodb": "^3.5.3",
    "reflect-metadata": "^0.1.13",
    "rxjs": "^6.5.4",
    "saslprep": "^1.0.3",
    "swagger-ui-express": "^4.1.3",
    "typeorm": "^0.2.22"
  },
  "devDependencies": {
    "@nestjs/cli": "^6.14.2",
    "@nestjs/testing": "^6.11.7",
    "@types/express": "^4.17.2",
    "@types/jest": "^25.1.2",
    "@types/node": "^13.7.1",
    "@types/supertest": "^2.0.8",
    "@typescript-eslint/eslint-plugin": "^2.19.2",
    "@typescript-eslint/parser": "^2.19.2",
    "eslint": "^6.8.0",
    "eslint-plugin-jsdoc": "^21.0.0",
    "eslint-plugin-prefer-arrow": "^1.1.7",
    "jest": "^25.1.0",
    "prettier": "^1.19.1",
    "prettier-check": "^2.0.0",
    "supertest": "^4.0.2",
    "ts-jest": "^25.2.0",
    "ts-loader": "^6.2.1",
    "ts-node": "^8.6.2",
    "tsconfig-paths": "^3.9.0",
    "typescript": "^3.7.5"
  },
  "jest": {
    "moduleDirectories": [
      "src/server",
      "node_modules"
    ],
    "moduleFileExtensions": [
      "ts",
      "tsx",
      "js",
      "json"
    ],
    "transform": {
      "^.+\\.tsx?$": "ts-jest"
    },
    "testRegex": "/src/.*\\.(test|spec).(ts|tsx|js)$",
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,tsx,ts}",
      "!**/node_modules/**",
      "!**/vendor/**"
    ],
    "coverageReporters": [
      "json",
      "lcov"
    ]
  }
}
